be.fgov.ehealth.dics.protocol.v4

## Class FindByVirtualProductType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v4.FindByVirtualProductType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T11:02:11+02:00",
                 comments="JAXB RI v2.3.7")
      public class FindByVirtualProductType
      extends Object
      implements Serializable

  Java class for FindByVirtualProductType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindByVirtualProductType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="VmpCode" type="{http://www.w3.org/2001/XMLSchema}positiveInteger"/>
               <element name="AnyNamePart" type="{urn:be:fgov:ehealth:dics:core:v4:core}SearchStringType"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindByVirtualProductType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnyNamePart()` Gets the value of the anyNamePart property.
    `BigInteger` | `getVmpCode()` Gets the value of the vmpCode property.
    `void` | `setAnyNamePart(String value)` Sets the value of the anyNamePart property.
    `void` | `setVmpCode(BigInteger value)` Sets the value of the vmpCode property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindByVirtualProductType

          public FindByVirtualProductType()

  - ### Method Detail

    - #### getAnyNamePart

          public String getAnyNamePart()

      Gets the value of the anyNamePart property.
      Returns:
        possible object is `String`

    - #### setAnyNamePart

          public void setAnyNamePart(String value)

      Sets the value of the anyNamePart property.
      Parameters:
        `value` - allowed object is `String`

    - #### getVmpCode

          public BigInteger getVmpCode()

      Gets the value of the vmpCode property.
      Returns:
        possible object is `BigInteger`

    - #### setVmpCode

          public void setVmpCode(BigInteger value)

      Sets the value of the vmpCode property.
      Parameters:
        `value` - allowed object is `BigInteger`

Connector Packaging PERSDIETICIAN 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.